<!--
~    Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
~
~    This software is the property of WSO2 Inc. and its suppliers, if any.
~    Dissemination of any information or reproduction of any material contained
~    herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
~    You may not alter or remove any copyright or other notice from copies of this content."
-->

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ page import="static org.wso2.carbon.identity.core.util.IdentityUtil.getServerURL" %>

<%
    String serverUrl = getServerURL("", true, true);
%>

<!DOCTYPE html>
<html>
<head>
    <script src="https://unpkg.com/@asgardeo/auth-spa@latest/dist/asgardeo-spa.production.min.js"></script>
</head>
<body>
<script>
    var userAccessedPath = window.location.href;
    var applicationDomain = window.location.origin;
    var userTenant = userAccessedPath.split("/t/")[1] ?  userAccessedPath.split("/t/")[1].split("/")[0] : null;

    var serverOrigin = "<%=serverUrl%>";

    function getApiPath(path) {
        if(path) {
            return serverOrigin + path;
        }

        return serverOrigin;
    }

    var auth = AsgardeoAuth.AsgardeoSPAClient.getInstance();

    var authConfig = {
        signInRedirectURL: applicationDomain.replace(/\/+$/, ''),
        signOutRedirectURL: applicationDomain.replace(/\/+$/, ''),
        clientID: "MY_ACCOUNT",
        serverOrigin: getApiPath(),
        responseMode: "form_post",
        scope: ["openid SYSTEM"],
        storage: "webWorker",
        endpoints: {
            authorizationEndpoint: getApiPath(userTenant ? "/t/a/oauth2/authorize?ut="+userTenant.replace(/\/+$/, '') : "/t/a/oauth2/authorize"),
            clockTolerance: 300,
            jwksEndpointURL: undefined,
            logoutEndpointURL: getApiPath("/t/a/oidc/logout"),
            oidcSessionIFrameEndpointURL: getApiPath("/t/a/oidc/checksession"),
            serverOrigin: getApiPath(),
            tokenEndpointURL: undefined,
            tokenRevocationEndpointURL: undefined,
            wellKnownEndpointURL: undefined,
        },
        enablePKCE: true,
        overrideWellEndpointConfig: true
    }
    
    auth.initialize(authConfig);

    auth.trySignInSilently().then(res => {
        if(res === false) {
            auth.signIn();
        } else {
            sessionStorage.setItem("auth_callback_url_console", userAccessedPath.split(window.origin)[1])
            sessionStorage.setItem("userAccessedPath", userAccessedPath.split(window.origin)[1])
            
            window.location = '/authenticate';
        }
    });
</script>
</body>
</html>

